﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Steema.TeeChart.WPF;
using Steema.TeeChart.WPF.Styles;
using System.IO;
using System.Windows.Markup;
using Steema.TeeChart.WPF.Tools;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            MyTChart.Width = 400;
            MyTChart.Height = 300;
            MyTChart.Aspect.UseGuidelines = true;
            MyTChart.Axes.Left.AutomaticMinimum = false;
            MyTChart.Axes.Left.Minimum = 1;

            series = new Histogram();
            series.Color = Colors.Transparent;
            series.UseYOrigin = true;
            series.YOrigin = 0;
            series.Add(0);
            series.Add(10);
            series.Add(0);
            series.Add(10);
            series.Add(0);

            MyTChart.Series.Add(series);
        }

        public Histogram series;
    }
}
